package inf101.v18.rogue101.states;

import java.util.Random;

/**
 * An enum to distinguish different enemies of the same type.
 */
public enum Personality {
    AGRESSIVE, CALM, AFRAID;

    private static final Random random = new Random();

    public static Personality getRandom() {
        return values()[random.nextInt(values().length)];
    }
}
